Plot3DDialog Class Reference

Surface plot options dialog. More...

`#include <Plot3DDialog.h>`

Inheritance diagram for Plot3DDialog:

## Public Member Functions

| Plot3DDialog (QWidget *parent, Qt::WFlags fl=0)
void | setPlot (Graph3D *)
void | showAxisTab ()
void | showGeneralTab ()
void | showTitleTab ()

## Private Slots

void | accept ()
QFont | axisFont (int axis)
void | changeTransparency (int val)
void | changeZoom (int)
void | disableMeshOptions ()
void | enableMajorGrids (bool on)
void | enableMinorGrids (bool on)
void | initPointsOptionsStack ()
void | pickAxisLabelFont ()
void | pickDataColorMap ()
void | pickNumbersFont ()
void | pickTitleFont ()
void | updateColorMapFileGroupBox (bool)
void | updateLinearColorMapGroupBox (bool)
bool | updatePlot ()
void | viewAxisOptions (int axis)
void | viewScaleLimits (int axis)
void | worksheet ()

## Private Member Functions

void | initAxesPage ()
void | initColorsPage ()
void | initConnections ()
void | initGeneralPage ()
void | initGridPage ()
void | initPrintPage ()
void | initScalesPage ()
void | initTitlePage ()
void | setColorMapPreview (const QString &fileName)
void | showBarsTab ()
void | showConesTab (double rad, int quality)
void | showCrossHairTab (double rad, double linewidth, bool smooth, bool boxed)
void | showPointsTab (double rad, bool smooth)

## Private Attributes

QWidget * | axes
QGroupBox * | AxesColorGroupBox
QListWidget * | axesList
QListWidget * | axesList2
TextFormatButtons * | axisTitleFormatButtons
QWidget * | bars
QCheckBox * | boxBarLines
DoubleSpinBox * | boxBarsRad
QCheckBox * | boxBoxed
DoubleSpinBox * | boxConesRad
DoubleSpinBox * | boxCrossLinewidth
DoubleSpinBox * | boxCrossRad
QCheckBox * | boxCrossSmooth
QSpinBox * | boxDistance
QCheckBox * | boxFilledBars
DoubleSpinBox * | boxFrom
QTextEdit * | boxLabel
QCheckBox * | boxLegend
QCheckBox * | boxMajorGrids
QComboBox * | boxMajorGridStyle
DoubleSpinBox * | boxMajorGridWidth
DoubleSpinBox * | boxMajorLength
QSpinBox * | boxMajors
QDoubleSpinBox * | boxMeshLineWidth
QCheckBox * | boxMinorGrids
QComboBox * | boxMinorGridStyle
DoubleSpinBox * | boxMinorGridWidth
DoubleSpinBox * | boxMinorLength
QSpinBox * | boxMinors
QCheckBox * | boxOrthogonal
QComboBox * | boxPointStyle
QSpinBox * | boxPrecision
QCheckBox * | boxPrintCropmarks
QSpinBox * | boxQuality
QSpinBox * | boxResolution
QCheckBox * | boxScaleOnPrint
DoubleSpinBox * | boxSize
QCheckBox * | boxSmooth
QComboBox * | boxTickLabelsFormat
QTextEdit * | boxTitle
DoubleSpinBox * | boxTo
QSpinBox * | boxTransparency
QComboBox * | boxType
DoubleSpinBox * | boxXRotation
QSpinBox * | boxXScale
DoubleSpinBox * | boxYRotation
QSpinBox * | boxYScale
QSpinBox * | boxZoom
DoubleSpinBox * | boxZRotation
QSpinBox * | boxZScale
ColorButton * | btnAxes
ColorButton * | btnBackground
QPushButton * | btnColorMap
ColorButton * | btnGrid
ColorButton * | btnGridMinor
QPushButton * | btnLabelFont
ColorButton * | btnLabels
ColorButton * | btnMesh
ColorButton * | btnNumbers
QPushButton * | btnNumbersFont
QPushButton * | btnTable
ColorButton * | btnTitleColor
QPushButton * | btnTitleFont
QPushButton * | buttonApply
QPushButton * | buttonCancel
QPushButton * | buttonOk
QGroupBox * | colorMapFileGroupBox
QLabel * | colorMapPreviewLabel
QWidget * | colors
QWidget * | conesPage
QWidget * | crossPage
ColorMapEditor * | d_color_map_editor
QString | d_color_map_file
Graph3D * | d_plot
QWidget * | dotsPage
QWidget * | general
QTabWidget * | generalDialog
QWidget * | gridPage
QStringList | labels
QGroupBox * | linearColorMapGroupBox
QFont | numbersFont
QStackedWidget * | optionStack
QWidget * | points
QWidget * | printPage
QWidget * | scale
QGroupBox * | TicksGroupBox
QWidget * | title
QFont | titleFont
TextFormatButtons * | titleFormatButtons
QSlider * | transparencySlider
QFont | xAxisFont
double | xScale
QFont | yAxisFont
double | yScale
QFont | zAxisFont
double | zoom
double | zScale

## Detailed Description

Surface plot options dialog.

## Constructor & Destructor Documentation

Plot3DDialog::Plot3DDialog | ( | QWidget * | parent,
|  | Qt::WFlags | fl = `0`
| ) |  |

References accept(), bars, btnTable, buttonApply, buttonCancel, buttonOk, generalDialog, initAxesPage(), initColorsPage(), initGeneralPage(), initGridPage(), initPrintPage(), initScalesPage(), initTitlePage(), points, updatePlot(), and worksheet().

## Member Function Documentation

void Plot3DDialog::accept | ( |  | ) |

private slot

References updatePlot().

Referenced by Plot3DDialog().

QFont Plot3DDialog::axisFont | ( | int | axis | ) |

private slot

References xAxisFont, yAxisFont, and zAxisFont.

Referenced by updatePlot().

void Plot3DDialog::changeTransparency | ( | int | val | ) |

private slot

References Graph3D::changeTransparency(), colors, d_plot, generalDialog, and Graph3D::update().

Referenced by initColorsPage().

void Plot3DDialog::changeZoom | ( | int |  | ) |

private slot

References boxXScale, boxYScale, boxZoom, boxZScale, d_plot, general, generalDialog, Graph3D::setScale(), Graph3D::setZoom(), Graph3D::update(), xScale, yScale, zoom, and zScale.

Referenced by initGeneralPage().

void Plot3DDialog::disableMeshOptions | ( |  | ) |

private slot

References boxMeshLineWidth, and btnMesh.

Referenced by setPlot().

void Plot3DDialog::enableMajorGrids | ( | bool | on | ) |

private slot

References boxMajorGridStyle, boxMajorGridWidth, and btnGrid.

Referenced by initConnections().

void Plot3DDialog::enableMinorGrids | ( | bool | on | ) |

private slot

References boxMinorGridStyle, boxMinorGridWidth, and btnGridMinor.

Referenced by initConnections().

void Plot3DDialog::initAxesPage | ( |  | ) |

private

References axes, axesList2, axisTitleFormatButtons, boxLabel, boxMajorLength, boxMinorLength, btnLabelFont, ApplicationWindow::d_decimal_digits, generalDialog, pickAxisLabelFont(), DoubleSpinBox::setDecimals(), and DoubleSpinBox::setMinimum().

Referenced by Plot3DDialog().

void Plot3DDialog::initColorsPage | ( |  | ) |

private

References AxesColorGroupBox, boxTransparency, btnAxes, btnBackground, btnColorMap, btnLabels, btnMesh, btnNumbers, changeTransparency(), colorMapFileGroupBox, colorMapPreviewLabel, colors, d_color_map_editor, ApplicationWindow::d_decimal_digits, generalDialog, linearColorMapGroupBox, pickDataColorMap(), transparencySlider, updateColorMapFileGroupBox(), and updateLinearColorMapGroupBox().

Referenced by Plot3DDialog().

void Plot3DDialog::initConnections | ( |  | ) |

private

References axesList, axesList2, boxDistance, boxFrom, boxLegend, boxMajorGrids, boxMajorGridStyle, boxMajorGridWidth, boxMajorLength, boxMajors, boxMeshLineWidth, boxMinorGrids, boxMinorGridStyle, boxMinorGridWidth, boxMinorLength, boxMinors, boxOrthogonal, boxPrecision, boxResolution, boxTickLabelsFormat, boxTo, btnAxes, btnBackground, btnGrid, btnGridMinor, btnLabels, btnMesh, btnNumbers, btnTitleColor, d_color_map_editor, d_plot, enableMajorGrids(), enableMinorGrids(), updatePlot(), viewAxisOptions(), and viewScaleLimits().

Referenced by setPlot().

void Plot3DDialog::initGeneralPage | ( |  | ) |

private

References boxDistance, boxLegend, boxMeshLineWidth, boxOrthogonal, boxResolution, boxXRotation, boxXScale, boxYRotation, boxYScale, boxZoom, boxZRotation, boxZScale, btnNumbersFont, changeZoom(), general, generalDialog, pickNumbersFont(), DoubleSpinBox::setDecimals(), DoubleSpinBox::setRange(), DoubleSpinBox::setSingleStep(), and updatePlot().

Referenced by Plot3DDialog().

void Plot3DDialog::initGridPage | ( |  | ) |

private

References boxMajorGrids, boxMajorGridStyle, boxMajorGridWidth, boxMinorGrids, boxMinorGridStyle, boxMinorGridWidth, btnGrid, btnGridMinor, generalDialog, gridPage, and DoubleSpinBox::setMinimum().

Referenced by Plot3DDialog().

void Plot3DDialog::initPointsOptionsStack | ( |  | ) |

private slot

References boxBoxed, boxConesRad, boxCrossLinewidth, boxCrossRad, boxCrossSmooth, boxPointStyle, boxQuality, boxSize, boxSmooth, conesPage, crossPage, ApplicationWindow::d_decimal_digits, dotsPage, generalDialog, optionStack, points, DoubleSpinBox::setDecimals(), DoubleSpinBox::setMinimum(), and DoubleSpinBox::setValue().

Referenced by setPlot().

void Plot3DDialog::initPrintPage | ( |  | ) |

private

References boxPrintCropmarks, boxScaleOnPrint, generalDialog, and printPage.

Referenced by Plot3DDialog().

void Plot3DDialog::initScalesPage | ( |  | ) |

private

References axesList, boxFrom, boxMajors, boxMinors, boxPrecision, boxTickLabelsFormat, boxTo, boxType, ApplicationWindow::d_decimal_digits, generalDialog, scale, DoubleSpinBox::setDecimals(), and TicksGroupBox.

Referenced by Plot3DDialog().

void Plot3DDialog::initTitlePage | ( |  | ) |

private

References boxTitle, btnTitleColor, btnTitleFont, generalDialog, pickTitleFont(), title, and titleFormatButtons.

Referenced by Plot3DDialog().

void Plot3DDialog::pickAxisLabelFont | ( |  | ) |

private slot

References axesList2, updatePlot(), xAxisFont, yAxisFont, and zAxisFont.

Referenced by initAxesPage().

void Plot3DDialog::pickDataColorMap | ( |  | ) |

private slot

References d_color_map_file, d_plot, setColorMapPreview(), Graph3D::setDataColorMap(), and ColorMapPreviewDialog::updatePreview().

Referenced by initColorsPage().

void Plot3DDialog::pickNumbersFont | ( |  | ) |

private slot

References numbersFont, and updatePlot().

Referenced by initGeneralPage().

void Plot3DDialog::pickTitleFont | ( |  | ) |

private slot

References titleFont, and updatePlot().

Referenced by initTitlePage().

void Plot3DDialog::setColorMapPreview | ( | const QString & | fileName | ) |

private

References colorMapPreviewLabel, and Graph3D::openColorMapFile().

Referenced by pickDataColorMap(), setPlot(), and updatePlot().

void Plot3DDialog::setPlot | ( | Graph3D * | g | ) |

References axes, Graph3D::axesColor(), AxesColorGroupBox, Graph3D::axesLabels(), Graph3D::axisTickLengths(), Graph3D::bgColor(), boxDistance, Graph3D::boxedCrossHair(), boxLabel, boxLegend, boxMajorGrids, boxMajorGridStyle, boxMajorGridWidth, boxMajorLength, boxMeshLineWidth, boxMinorGrids, boxMinorGridStyle, boxMinorGridWidth, boxMinorLength, boxOrthogonal, boxPrintCropmarks, boxResolution, boxScaleOnPrint, boxTitle, boxTransparency, boxXRotation, boxXScale, boxYRotation, boxYScale, boxZoom, boxZRotation, boxZScale, btnAxes, btnBackground, btnGrid, btnGridMinor, btnLabels, btnMesh, btnNumbers, btnNumbersFont, btnTable, btnTitleColor, Graph3D::colorMap(), Graph3D::colorMapFile(), colorMapFileGroupBox, Graph3D::coneQuality(), Graph3D::coneRadius(), Graph3D::Cones, Graph3D::coordStyle(), Graph3D::crossHairLinewidth(), Graph3D::crossHairRadius(), d_color_map_editor, d_color_map_file, d_plot, disableMeshOptions(), Graph3D::Dots, generalDialog, gridPage, Graph3D::grids(), Graph3D::HairCross, initConnections(), initPointsOptionsStack(), Graph3D::isLegendOn(), Graph3D::isOrthogonal(), Graph3D::labelColor(), labels, Graph3D::labelsDistance(), linearColorMapGroupBox, Graph3D::matrix(), Graph3D::meshColor(), Graph3D::meshLineWidth(), Graph3D::None, numbersFont, Graph3D::numbersFont(), Graph3D::numColor(), Graph3D::parametricSurface(), Graph3D::plotStyle(), Graph3D::plotTitle(), Graph3D::pointsSize(), Graph3D::pointType(), Graph3D::printCropmarksEnabled(), Graph3D::resolution(), Graph3D::scaleOnPrint(), ColorButton::setColor(), ColorMapEditor::setColorMap(), setColorMapPreview(), ColorMapEditor::setRange(), DoubleSpinBox::setValue(), showBarsTab(), showConesTab(), showCrossHairTab(), showPointsTab(), Graph3D::smoothCrossHair(), Graph3D::smoothPoints(), Graph3D::surface(), Graph3D::table(), TicksGroupBox, Graph3D::titleColor(), titleFont, Graph3D::titleFont(), Graph3D::transparency(), transparencySlider, Graph3D::userFunction(), Graph3D::VerticalBars, viewAxisOptions(), viewScaleLimits(), xAxisFont, Graph3D::xAxisLabelFont(), Graph3D::xRotation(), xScale, Graph3D::xScale(), yAxisFont, Graph3D::yAxisLabelFont(), Graph3D::yRotation(), yScale, Graph3D::yScale(), zAxisFont, Graph3D::zAxisLabelFont(), zoom, Graph3D::zoom(), Graph3D::zRotation(), zScale, Graph3D::zScale(), Graph3D::zStart(), and Graph3D::zStop().

Referenced by ApplicationWindow::showPlot3dDialog().

void Plot3DDialog::showAxisTab | ( |  | ) |

References axes, and generalDialog.

void Plot3DDialog::showBarsTab | ( |  | ) |

private

References Graph3D::barLines(), bars, Graph3D::barsRadius(), boxBarLines, boxBarsRad, boxFilledBars, ApplicationWindow::d_decimal_digits, d_plot, Graph3D::filledBars(), generalDialog, DoubleSpinBox::setDecimals(), DoubleSpinBox::setMinimum(), and DoubleSpinBox::setValue().

Referenced by setPlot().

void Plot3DDialog::showConesTab | ( | double | rad,
|  | int | quality
| ) |  |

private

References boxConesRad, boxPointStyle, boxQuality, optionStack, and DoubleSpinBox::setValue().

Referenced by setPlot().

void Plot3DDialog::showCrossHairTab | ( | double | rad,
|  | double | linewidth,
|  | bool | smooth,
|  | bool | boxed
| ) |  |

private

References boxBoxed, boxCrossLinewidth, boxCrossRad, boxCrossSmooth, boxPointStyle, optionStack, and DoubleSpinBox::setValue().

Referenced by setPlot().

void Plot3DDialog::showGeneralTab | ( |  | ) |

References general, and generalDialog.

void Plot3DDialog::showPointsTab | ( | double | rad,
|  | bool | smooth
| ) |  |

private

References boxPointStyle, boxSize, boxSmooth, optionStack, and DoubleSpinBox::setValue().

Referenced by setPlot().

void Plot3DDialog::showTitleTab | ( |  | ) |

References generalDialog, and title.

Referenced by ApplicationWindow::showTitleDialog().

void Plot3DDialog::updateColorMapFileGroupBox | ( | bool | checked | ) |

private slot

References colorMapFileGroupBox.

Referenced by initColorsPage().

void Plot3DDialog::updateLinearColorMapGroupBox | ( | bool | checked | ) |

private slot

References linearColorMapGroupBox.

Referenced by initColorsPage().

bool Plot3DDialog::updatePlot | ( |  | ) |

private slot

References axes, axesList, axesList2, axisFont(), bars, boxBarLines, boxBarsRad, boxBoxed, boxConesRad, boxCrossLinewidth, boxCrossRad, boxCrossSmooth, boxDistance, boxFilledBars, boxFrom, boxLabel, boxLegend, boxMajorGrids, boxMajorGridStyle, boxMajorGridWidth, boxMajorLength, boxMajors, boxMeshLineWidth, boxMinorGrids, boxMinorGridStyle, boxMinorGridWidth, boxMinorLength, boxMinors, boxPointStyle, boxPrecision, boxPrintCropmarks, boxQuality, boxResolution, boxScaleOnPrint, boxSize, boxSmooth, boxTickLabelsFormat, boxTitle, boxTo, boxTransparency, boxType, boxXRotation, boxXScale, boxYRotation, boxYScale, boxZoom, boxZRotation, boxZScale, btnAxes, btnBackground, btnGrid, btnGridMinor, btnLabels, btnMesh, btnNumbers, btnTitleColor, Graph3D::changeTransparency(), ColorButton::color(), ColorMapEditor::colorMap(), colorMapFileGroupBox, colors, Graph3D::coordinateSystem(), ApplicationWindow::custom3DActions(), d_color_map_editor, d_color_map_file, d_plot, general, generalDialog, gridPage, labels, linearColorMapGroupBox, ApplicationWindow::modifiedProject(), numbersFont, points, Graph3D::printCropmarks(), printPage, scale, Graph3D::setAxesColor(), Graph3D::setAxisNumericFormat(), Graph3D::setBackgroundColor(), Graph3D::setBarLines(), Graph3D::setBarRadius(), Graph3D::setBarStyle(), setColorMapPreview(), Graph3D::setConeOptions(), Graph3D::setConeStyle(), Graph3D::setCrossOptions(), Graph3D::setCrossStyle(), Graph3D::setDataColorMap(), Graph3D::setDotOptions(), Graph3D::setDotStyle(), Graph3D::setFilledBars(), Graph3D::setLabelsColor(), Graph3D::setLabelsDistance(), Graph3D::setMeshColor(), Graph3D::setMeshLineWidth(), Graph3D::setNumbersColor(), Graph3D::setNumbersFont(), Graph3D::setResolution(), Graph3D::setRotation(), Graph3D::setScale(), Graph3D::setScaleOnPrint(), Graph3D::setTitle(), Graph3D::setXAxisLabel(), Graph3D::setXAxisLabelFont(), Graph3D::setXAxisTickLength(), Graph3D::setYAxisLabel(), Graph3D::setYAxisLabelFont(), Graph3D::setYAxisTickLength(), Graph3D::setZAxisLabel(), Graph3D::setZAxisLabelFont(), Graph3D::setZAxisTickLength(), Graph3D::setZoom(), Graph3D::showColorLegend(), title, titleFont, Graph3D::update(), DoubleSpinBox::value(), viewScaleLimits(), xScale, yScale, zoom, and zScale.

Referenced by accept(), initConnections(), initGeneralPage(), pickAxisLabelFont(), pickNumbersFont(), pickTitleFont(), and Plot3DDialog().

void Plot3DDialog::viewAxisOptions | ( | int | axis | ) |

private slot

References axesList, Graph3D::axisNumericFormat(), Graph3D::axisNumericPrecision(), Graph3D::axisTickLengths(), boxLabel, boxMajorLength, boxMinorLength, boxPrecision, boxTickLabelsFormat, d_plot, labels, and DoubleSpinBox::setValue().

Referenced by initConnections(), and setPlot().

void Plot3DDialog::viewScaleLimits | ( | int | axis | ) |

private slot

References axesList2, Graph3D::axisType(), boxFrom, boxMajors, boxMinors, boxTo, boxType, d_plot, DoubleSpinBox::setValue(), and Graph3D::surface().

Referenced by initConnections(), setPlot(), and updatePlot().

void Plot3DDialog::worksheet | ( |  | ) |

private slot

References d_plot, and Graph3D::showWorksheet().

Referenced by Plot3DDialog().

## Member Data Documentation

QWidget * Plot3DDialog::axes

private

Referenced by initAxesPage(), setPlot(), showAxisTab(), and updatePlot().

QGroupBox * Plot3DDialog::AxesColorGroupBox

private

Referenced by initColorsPage(), and setPlot().

QListWidget* Plot3DDialog::axesList

private

Referenced by initConnections(), initScalesPage(), updatePlot(), and viewAxisOptions().

QListWidget * Plot3DDialog::axesList2

private

Referenced by initAxesPage(), initConnections(), pickAxisLabelFont(), updatePlot(), and viewScaleLimits().

TextFormatButtons * Plot3DDialog::axisTitleFormatButtons

private

Referenced by initAxesPage().

QWidget * Plot3DDialog::bars

private

Referenced by Plot3DDialog(), showBarsTab(), and updatePlot().

QCheckBox* Plot3DDialog::boxBarLines

private

Referenced by showBarsTab(), and updatePlot().

DoubleSpinBox * Plot3DDialog::boxBarsRad

private

Referenced by showBarsTab(), and updatePlot().

QCheckBox * Plot3DDialog::boxBoxed

private

Referenced by initPointsOptionsStack(), showCrossHairTab(), and updatePlot().

DoubleSpinBox * Plot3DDialog::boxConesRad

private

Referenced by initPointsOptionsStack(), showConesTab(), and updatePlot().

DoubleSpinBox * Plot3DDialog::boxCrossLinewidth

private

Referenced by initPointsOptionsStack(), showCrossHairTab(), and updatePlot().

DoubleSpinBox * Plot3DDialog::boxCrossRad

private

Referenced by initPointsOptionsStack(), showCrossHairTab(), and updatePlot().

QCheckBox * Plot3DDialog::boxCrossSmooth

private

Referenced by initPointsOptionsStack(), showCrossHairTab(), and updatePlot().

QSpinBox * Plot3DDialog::boxDistance

private

Referenced by initConnections(), initGeneralPage(), setPlot(), and updatePlot().

QCheckBox * Plot3DDialog::boxFilledBars

private

Referenced by showBarsTab(), and updatePlot().

DoubleSpinBox* Plot3DDialog::boxFrom

private

Referenced by initConnections(), initScalesPage(), updatePlot(), and viewScaleLimits().

QTextEdit * Plot3DDialog::boxLabel

private

Referenced by initAxesPage(), setPlot(), updatePlot(), and viewAxisOptions().

QCheckBox* Plot3DDialog::boxLegend

private

Referenced by initConnections(), initGeneralPage(), setPlot(), and updatePlot().

QCheckBox* Plot3DDialog::boxMajorGrids

private

Referenced by initConnections(), initGridPage(), setPlot(), and updatePlot().

QComboBox* Plot3DDialog::boxMajorGridStyle

private

Referenced by enableMajorGrids(), initConnections(), initGridPage(), setPlot(), and updatePlot().

DoubleSpinBox* Plot3DDialog::boxMajorGridWidth

private

Referenced by enableMajorGrids(), initConnections(), initGridPage(), setPlot(), and updatePlot().

DoubleSpinBox* Plot3DDialog::boxMajorLength

private

Referenced by initAxesPage(), initConnections(), setPlot(), updatePlot(), and viewAxisOptions().

QSpinBox* Plot3DDialog::boxMajors

private

Referenced by initConnections(), initScalesPage(), updatePlot(), and viewScaleLimits().

QDoubleSpinBox* Plot3DDialog::boxMeshLineWidth

private

Referenced by disableMeshOptions(), initConnections(), initGeneralPage(), setPlot(), and updatePlot().

QCheckBox * Plot3DDialog::boxMinorGrids

private

Referenced by initConnections(), initGridPage(), setPlot(), and updatePlot().

QComboBox * Plot3DDialog::boxMinorGridStyle

private

Referenced by enableMinorGrids(), initConnections(), initGridPage(), setPlot(), and updatePlot().

DoubleSpinBox * Plot3DDialog::boxMinorGridWidth

private

Referenced by enableMinorGrids(), initConnections(), initGridPage(), setPlot(), and updatePlot().

DoubleSpinBox * Plot3DDialog::boxMinorLength

private

Referenced by initAxesPage(), initConnections(), setPlot(), updatePlot(), and viewAxisOptions().

QSpinBox * Plot3DDialog::boxMinors

private

Referenced by initConnections(), initScalesPage(), updatePlot(), and viewScaleLimits().

QCheckBox * Plot3DDialog::boxOrthogonal

private

Referenced by initConnections(), initGeneralPage(), and setPlot().

QComboBox * Plot3DDialog::boxPointStyle

private

Referenced by initPointsOptionsStack(), showConesTab(), showCrossHairTab(), showPointsTab(), and updatePlot().

QSpinBox * Plot3DDialog::boxPrecision

private

Referenced by initConnections(), initScalesPage(), updatePlot(), and viewAxisOptions().

QCheckBox * Plot3DDialog::boxPrintCropmarks

private

Referenced by initPrintPage(), setPlot(), and updatePlot().

QSpinBox * Plot3DDialog::boxQuality

private

Referenced by initPointsOptionsStack(), showConesTab(), and updatePlot().

QSpinBox* Plot3DDialog::boxResolution

private

Referenced by initConnections(), initGeneralPage(), setPlot(), and updatePlot().

QCheckBox * Plot3DDialog::boxScaleOnPrint

private

Referenced by initPrintPage(), setPlot(), and updatePlot().

DoubleSpinBox* Plot3DDialog::boxSize

private

Referenced by initPointsOptionsStack(), showPointsTab(), and updatePlot().

QCheckBox * Plot3DDialog::boxSmooth

private

Referenced by initPointsOptionsStack(), showPointsTab(), and updatePlot().

QComboBox * Plot3DDialog::boxTickLabelsFormat

private

Referenced by initConnections(), initScalesPage(), updatePlot(), and viewAxisOptions().

QTextEdit* Plot3DDialog::boxTitle

private

Referenced by initTitlePage(), setPlot(), and updatePlot().

DoubleSpinBox * Plot3DDialog::boxTo

private

Referenced by initConnections(), initScalesPage(), updatePlot(), and viewScaleLimits().

QSpinBox * Plot3DDialog::boxTransparency

private

Referenced by initColorsPage(), setPlot(), and updatePlot().

QComboBox* Plot3DDialog::boxType

private

Referenced by initScalesPage(), updatePlot(), and viewScaleLimits().

DoubleSpinBox* Plot3DDialog::boxXRotation

private

Referenced by initGeneralPage(), setPlot(), and updatePlot().

QSpinBox * Plot3DDialog::boxXScale

private

Referenced by changeZoom(), initGeneralPage(), setPlot(), and updatePlot().

DoubleSpinBox * Plot3DDialog::boxYRotation

private

Referenced by initGeneralPage(), setPlot(), and updatePlot().

QSpinBox * Plot3DDialog::boxYScale

private

Referenced by changeZoom(), initGeneralPage(), setPlot(), and updatePlot().

QSpinBox* Plot3DDialog::boxZoom

private

Referenced by changeZoom(), initGeneralPage(), setPlot(), and updatePlot().

DoubleSpinBox * Plot3DDialog::boxZRotation

private

Referenced by initGeneralPage(), setPlot(), and updatePlot().

QSpinBox * Plot3DDialog::boxZScale

private

Referenced by changeZoom(), initGeneralPage(), setPlot(), and updatePlot().

ColorButton * Plot3DDialog::btnAxes

private

Referenced by initColorsPage(), initConnections(), setPlot(), and updatePlot().

ColorButton* Plot3DDialog::btnBackground

private

Referenced by initColorsPage(), initConnections(), setPlot(), and updatePlot().

QPushButton * Plot3DDialog::btnColorMap

private

Referenced by initColorsPage().

ColorButton * Plot3DDialog::btnGrid

private

Referenced by enableMajorGrids(), initConnections(), initGridPage(), setPlot(), and updatePlot().

ColorButton * Plot3DDialog::btnGridMinor

private

Referenced by enableMinorGrids(), initConnections(), initGridPage(), setPlot(), and updatePlot().

QPushButton * Plot3DDialog::btnLabelFont

private

Referenced by initAxesPage().

ColorButton * Plot3DDialog::btnLabels

private

Referenced by initColorsPage(), initConnections(), setPlot(), and updatePlot().

ColorButton * Plot3DDialog::btnMesh

private

Referenced by disableMeshOptions(), initColorsPage(), initConnections(), setPlot(), and updatePlot().

ColorButton * Plot3DDialog::btnNumbers

private

Referenced by initColorsPage(), initConnections(), setPlot(), and updatePlot().

QPushButton* Plot3DDialog::btnNumbersFont

private

Referenced by initGeneralPage(), and setPlot().

QPushButton * Plot3DDialog::btnTable

private

Referenced by Plot3DDialog(), and setPlot().

ColorButton * Plot3DDialog::btnTitleColor

private

Referenced by initConnections(), initTitlePage(), setPlot(), and updatePlot().

QPushButton* Plot3DDialog::btnTitleFont

private

Referenced by initTitlePage().

QPushButton* Plot3DDialog::buttonApply

private

Referenced by Plot3DDialog().

QPushButton* Plot3DDialog::buttonCancel

private

Referenced by Plot3DDialog().

QPushButton* Plot3DDialog::buttonOk

private

Referenced by Plot3DDialog().

QGroupBox * Plot3DDialog::colorMapFileGroupBox

private

Referenced by initColorsPage(), setPlot(), updateColorMapFileGroupBox(), and updatePlot().

QLabel* Plot3DDialog::colorMapPreviewLabel

private

Referenced by initColorsPage(), and setColorMapPreview().

QWidget * Plot3DDialog::colors

private

Referenced by changeTransparency(), initColorsPage(), and updatePlot().

QWidget * Plot3DDialog::conesPage

private

Referenced by initPointsOptionsStack().

QWidget * Plot3DDialog::crossPage

private

Referenced by initPointsOptionsStack().

ColorMapEditor* Plot3DDialog::d_color_map_editor

private

Referenced by initColorsPage(), initConnections(), setPlot(), and updatePlot().

QString Plot3DDialog::d_color_map_file

private

Referenced by pickDataColorMap(), setPlot(), and updatePlot().

Graph3D* Plot3DDialog::d_plot

private

Referenced by changeTransparency(), changeZoom(), initConnections(), pickDataColorMap(), setPlot(), showBarsTab(), updatePlot(), viewAxisOptions(), viewScaleLimits(), and worksheet().

QWidget* Plot3DDialog::dotsPage

private

Referenced by initPointsOptionsStack().

QWidget * Plot3DDialog::general

private

Referenced by changeZoom(), initGeneralPage(), showGeneralTab(), and updatePlot().

QTabWidget* Plot3DDialog::generalDialog

private

Referenced by changeTransparency(), changeZoom(), initAxesPage(), initColorsPage(), initGeneralPage(), initGridPage(), initPointsOptionsStack(), initPrintPage(), initScalesPage(), initTitlePage(), Plot3DDialog(), setPlot(), showAxisTab(), showBarsTab(), showGeneralTab(), showTitleTab(), and updatePlot().

QWidget * Plot3DDialog::gridPage

private

Referenced by initGridPage(), setPlot(), and updatePlot().

QStringList Plot3DDialog::labels

private

Referenced by setPlot(), updatePlot(), and viewAxisOptions().

QGroupBox* Plot3DDialog::linearColorMapGroupBox

private

Referenced by initColorsPage(), setPlot(), updateLinearColorMapGroupBox(), and updatePlot().

QFont Plot3DDialog::numbersFont

private

Referenced by pickNumbersFont(), setPlot(), and updatePlot().

QStackedWidget* Plot3DDialog::optionStack

private

Referenced by initPointsOptionsStack(), showConesTab(), showCrossHairTab(), and showPointsTab().

QWidget * Plot3DDialog::points

private

Referenced by initPointsOptionsStack(), Plot3DDialog(), and updatePlot().

QWidget * Plot3DDialog::printPage

private

Referenced by initPrintPage(), and updatePlot().

QWidget* Plot3DDialog::scale

private

Referenced by initScalesPage(), and updatePlot().

QGroupBox* Plot3DDialog::TicksGroupBox

private

Referenced by initScalesPage(), and setPlot().

QWidget * Plot3DDialog::title

private

Referenced by initTitlePage(), showTitleTab(), and updatePlot().

QFont Plot3DDialog::titleFont

private

Referenced by pickTitleFont(), setPlot(), and updatePlot().

TextFormatButtons* Plot3DDialog::titleFormatButtons

private

Referenced by initTitlePage().

QSlider* Plot3DDialog::transparencySlider

private

Referenced by initColorsPage(), and setPlot().

QFont Plot3DDialog::xAxisFont

private

Referenced by axisFont(), pickAxisLabelFont(), and setPlot().

double Plot3DDialog::xScale

private

Referenced by changeZoom(), setPlot(), and updatePlot().

QFont Plot3DDialog::yAxisFont

private

Referenced by axisFont(), pickAxisLabelFont(), and setPlot().

double Plot3DDialog::yScale

private

Referenced by changeZoom(), setPlot(), and updatePlot().

QFont Plot3DDialog::zAxisFont

private

Referenced by axisFont(), pickAxisLabelFont(), and setPlot().

double Plot3DDialog::zoom

private

Referenced by changeZoom(), setPlot(), and updatePlot().

double Plot3DDialog::zScale

private

Referenced by changeZoom(), setPlot(), and updatePlot().

The documentation for this class was generated from the following files:

- qtiplot/src/plot3D/Plot3DDialog.h
- qtiplot/src/plot3D/Plot3DDialog.cpp